package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabWelcome;
import com.gic.haoban.manage.service.pojo.qo.WelcomeInfoQO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TabHaobanWelcomeMapper {

    int deleteByPrimaryKey(String welcomeId);


    int insert(TabWelcome record);


    TabWelcome selectByPrimaryKey(String welcomeId);


    int updateByPrimaryKeySelective(TabWelcome record);


    @Deprecated
    TabWelcome selectByWxEnterpriseId(String wxEnterpriseId);

    /**
     * desc: 查询所有欢迎语
     *
     * @return : {@link List< TabWelcome>}
     * @author : YongEn
     * @date : 2022/3/11
     */
    List<TabWelcome> listAllWelcome();

    /**
     * desc: 根据微信企业id查询列表
     *
     * @param wxEnterpriseId 微信企业id
     * @param title          标题
     * @return : {@link List< TabWelcome>}
     * @author : YongEn
     * @date : 2022/2/9
     */
    List<TabWelcome> listByWxEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("title") String title, @Param("defaultWelcomeFlag") Integer defaultWelcomeFlag);

    /**
     * desc: 根据微信企业id查询数量
     *
     * @param wxEnterpriseId 微信企业id
     * @return : {@link long}
     * @author : YongEn
     * @date : 2022/2/10
     */
    long countByWxEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("type") Integer type);

    /**
     * 条件查询欢迎语配置
     * @param welcomeInfoQo
     * @return
     */
    List<TabWelcome> queryWelcomeList(WelcomeInfoQO welcomeInfoQo);
}